Package org.drinkless.tdlib

# Class TdApi.PremiumGiveawayParticipantStatusAlreadyWasMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumGiveawayParticipantStatus
org.drinkless.tdlib.TdApi.PremiumGiveawayParticipantStatusAlreadyWasMember

Enclosing class:
  TdApi

public static class TdApi.PremiumGiveawayParticipantStatusAlreadyWasMember extends TdApi.PremiumGiveawayParticipantStatus
The user can't participate in the giveaway, because they have already been member of the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PremiumGiveawayParticipantStatus

  `TdApi.PremiumGiveawayParticipantStatus.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `joinedChatDate`
  Point in time (Unix timestamp) when the user joined the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumGiveawayParticipantStatusAlreadyWasMember()`
  The user can't participate in the giveaway, because they have already been member of the chat.
  `PremiumGiveawayParticipantStatusAlreadyWasMember(int joinedChatDate)`
  The user can't participate in the giveaway, because they have already been member of the chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### joinedChatDate

    public int joinedChatDate
    Point in time (Unix timestamp) when the user joined the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumGiveawayParticipantStatusAlreadyWasMember

    public PremiumGiveawayParticipantStatusAlreadyWasMember()
    The user can't participate in the giveaway, because they have already been member of the chat.

  - ### PremiumGiveawayParticipantStatusAlreadyWasMember

    public PremiumGiveawayParticipantStatusAlreadyWasMember(int joinedChatDate)
    The user can't participate in the giveaway, because they have already been member of the chat.
    Parameters:
      `joinedChatDate` - Point in time (Unix timestamp) when the user joined the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PremiumGiveawayParticipantStatus`
    Returns:
      this.CONSTRUCTOR